Subject: RE: bug#15122: 24.3.50; [PATCH] byte-compiler warnings about destructive functions

From: Drew Adams <[email-masked]>
Date: Tue, 20 Aug 2013 08:15:51 -0700 (PDT)

> >> Yes, I like Scheme's convention.
> > Then consider adding (subtle, optional) font-lock highlighting of such.
> > That would anyway be better than compiler warnings.  The list of fns
> > I came up with is a start.  You might even consider putting a recognizable
> > property on the function symbols, as well.
> 
> Font-lock might be a good idea, indeed.
> We could also additionally start to introduce Scheme-style names, like
> sort!, reverse!, butlast!, ...

I would vote against that.  We should aim to be closer to Common Lisp (in
behavior and in naming, wrt new or changed names), not closer to Scheme.

Optional font-locking is an appropriate Emacs response to this need.
Scheme naming is not, IMO.  This indication should be optional and off by
default.

Just one opinion.